ibxm

## Class Module

- java.lang.Object
- - ibxm.Module

-     public class Module
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `channel_gain`
    `int` | `default_speed`
    `int` | `default_tempo`
    `boolean` | `fast_volume_slides`
    `int` | `global_volume`
    `boolean` | `linear_periods`
    `boolean` | `pal`
    `int` | `restart_sequence_index`
    `java.lang.String` | `song_title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Module()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `get_initial_panning(int channel)`
    `Instrument` | `get_instrument(int instrument_index)`
    `int` | `get_num_channels()`
    `int` | `get_num_instruments()`
    `int` | `get_num_patterns()`
    `Pattern` | `get_pattern_from_sequence(int sequence_index)`
    `Pattern` | `get_pattern(int pattern_index)`
    `int` | `get_sequence_length()`
    `void` | `set_initial_panning(int channel, int panning)`
    `void` | `set_instrument(int instrument_index, Instrument instrument)`
    `void` | `set_num_channels(int num_channels)`
    `void` | `set_num_instruments(int num_instruments)`
    `void` | `set_num_patterns(int num_patterns)`
    `void` | `set_pattern(int pattern_index, Pattern pattern)`
    `void` | `set_sequence_length(int sequence_length)`
    `void` | `set_sequence(int sequence_index, int pattern_index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### song_title

          public java.lang.String song_title

    - #### linear_periods

          public boolean linear_periods

    - #### fast_volume_slides

          public boolean fast_volume_slides

    - #### pal

          public boolean pal

    - #### global_volume

          public int global_volume

    - #### channel_gain

          public int channel_gain

    - #### default_speed

          public int default_speed

    - #### default_tempo

          public int default_tempo

    - #### restart_sequence_index

          public int restart_sequence_index

  - ### Constructor Detail

    - #### Module

          public Module()

  - ### Method Detail

    - #### get_num_channels

          public int get_num_channels()

    - #### set_num_channels

          public void set_num_channels(int num_channels)

    - #### get_initial_panning

          public int get_initial_panning(int channel)

    - #### set_initial_panning

          public void set_initial_panning(int channel,
                                 int panning)

    - #### get_sequence_length

          public int get_sequence_length()

    - #### set_sequence_length

          public void set_sequence_length(int sequence_length)

    - #### set_sequence

          public void set_sequence(int sequence_index,
                          int pattern_index)

    - #### get_num_patterns

          public int get_num_patterns()

    - #### set_num_patterns

          public void set_num_patterns(int num_patterns)

    - #### get_pattern_from_sequence

          public Pattern get_pattern_from_sequence(int sequence_index)

    - #### get_pattern

          public Pattern get_pattern(int pattern_index)

    - #### set_pattern

          public void set_pattern(int pattern_index,
                         Pattern pattern)

    - #### get_num_instruments

          public int get_num_instruments()

    - #### set_num_instruments

          public void set_num_instruments(int num_instruments)

    - #### get_instrument

          public Instrument get_instrument(int instrument_index)

    - #### set_instrument

          public void set_instrument(int instrument_index,
                            Instrument instrument)